package com.ruoyi.sensor.domain;

import lombok.Data;

@Data
public class PerceptionParams {

    /**
     * 感知类型: 雾 / 冰 或者 0/1/2/3 表示
     */
    private String perceptionType;

    /**
     * 感知值: 浮点数，精度为小数点后 2 位
     */
    private Double perceptionValue;

    /**
     * 情报板 IP 地址
     */
    private String boardIp;

    /**
     * 情报板协议
     */
    private String boardProtocol;
}
